org.jboss.netty.handler.codec.http.multipart

## Interface FileUpload

All Superinterfaces:
  Comparable<InterfaceHttpData>, HttpData, InterfaceHttpData

All Known Implementing Classes:
  DiskFileUpload, MemoryFileUpload, MixedFileUpload

    public interface FileUpload
    extends HttpData

FileUpload interface that could be in memory, on temporary file or any other implementations. Most methods are inspired from java.io.File API.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.jboss.netty.handler.codec.http.multipart.InterfaceHttpData

`InterfaceHttpData.HttpDataType`

### Method Summary

Methods
`String` `getContentTransferEncoding()` Returns the Content-Transfer-Encoding
`String` `getContentType()` Returns the content type passed by the browser or null if not defined.
`String` `getFilename()` Returns the original filename in the client's filesystem, as provided by the browser (or other client software).
`void` `setContentTransferEncoding(String contentTransferEncoding)` Set the Content-Transfer-Encoding type from String as 7bit, 8bit or binary
`void` `setContentType(String contentType)` Set the Content Type passed by the browser if defined
`void` `setFilename(String filename)` Set the original filename

### Methods inherited from interface org.jboss.netty.handler.codec.http.multipart.HttpData

`addContent, delete, get, getChannelBuffer, getCharset, getChunk, getFile, getString, getString, isCompleted, isInMemory, length, renameTo, setCharset, setContent, setContent, setContent`

### Methods inherited from interface org.jboss.netty.handler.codec.http.multipart.InterfaceHttpData

`getHttpDataType, getName`

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Method Detail

#### getFilename

    String getFilename()

Returns the original filename in the client's filesystem, as provided by the browser (or other client software).

Returns:
  the original filename

#### setFilename

    void setFilename(String filename)

Set the original filename

Parameters:
  `filename` -

#### setContentType

    void setContentType(String contentType)

Set the Content Type passed by the browser if defined

Parameters:
  `contentType` - Content Type to set - must be not null

#### getContentType

    String getContentType()

Returns the content type passed by the browser or null if not defined.

Returns:
  the content type passed by the browser or null if not defined.

#### setContentTransferEncoding

    void setContentTransferEncoding(String contentTransferEncoding)

Set the Content-Transfer-Encoding type from String as 7bit, 8bit or binary

Parameters:
  `contentTransferEncoding` -

#### getContentTransferEncoding

    String getContentTransferEncoding()

Returns the Content-Transfer-Encoding

Returns:
  the Content-Transfer-Encoding